商品画像一覧取得
GET
/product_images
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_images?limit=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_images?limit=10&page=1' \ --header 'Authorization: Bearer <token>'商品画像情報の一覧を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
page
integer
ページ
url
string
画像URLで絞り込み(完全一致)
移行データではファイル名(相対パス)が格納・返却される場合があります。
alt
string
代替テキストで絞り込み(完全一致)
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array
ProductImageResponseobject
id
商品画像ID
string format: uuid
url
画像URL
完全なURLを推奨します。ただし現行システムからの移行データではファイル名(相対パス)が格納・返却される場合があるため、URL形式の検証は行わず素の文字列として扱います。
string
alt
代替テキスト
string
Examples
Exampledefault
[ { "id": "33333333-3333-3333-3333-333333333333", "url": "https://example.com/images/product01.jpg", "alt": "商品画像01" }, { "id": "33333333-3333-3333-3333-444444444444", "url": "https://example.com/images/product02.jpg", "alt": null }]Headers
Section titled “Headers”Link
string
<前ページURI>; rel="prev", <次ページURI>; rel="next"
- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[limit]は100以下の数字を指定してください。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[page]は1以上の数字を指定してください。", "status": 400}